/* Copyright 2005, 2006, 2007 Ricardo Baratto */
/* Copyright 2005, 2006, 2007 Columbia University */
/*
 * Bit insertion and extraction utilities
 *
 * Authors: 
 * Ricardo A. Baratto - Network Computing Lab - Columbia University
 */
/* set tabstop = 8 */

#ifndef _THINC_BITFUN_H_
#define _THINC_BITFUN_H_

void t_bit_insert(char *cptr, unsigned long bit_offset, 
	unsigned long bit_len, long value);
unsigned long t_bit_extract(const char *cptr, unsigned long bit_offset, 
	unsigned long bit_len);
void dec_to_bin(unsigned long n);

#endif /* _BITFUN_H_ */
