/* Copyright 2005, 2006, 2007 Ricardo Baratto */
/* Copyright 2005, 2006, 2007 Columbia University */
/*
 * Header for Thinc messages
 *
 * Authors: 
 * Ricardo A. Baratto - Network Computing Lab - Columbia University
 */
/* set tabstop = 8 */

#ifndef _THINC_MSG_H_
#define _THINC_MGS_H_

/* Uncomment to disable all commands except RAW. You can also do it at runtime
 * using config options */
/*
#define DISABLE_NORAW
 */

/* New message stack functions */
int thinc_rawInitStack(thincClientPtr cl);
void thinc_rawDestroyStack(thincClientPtr cl);
int thinc_bitmapInitStack(thincClientPtr cl);
void thinc_bitmapDestroyStack(thincClientPtr cl);
int thinc_pixmapInitStack(thincClientPtr cl);
void thinc_pixmapDestroyStack(thincClientPtr cl);
int thinc_fillInitStack(thincClientPtr cl);
void thinc_fillDestroyStack(thincClientPtr cl);
int thinc_copyInitStack(thincClientPtr cl);
void thinc_copyDestroyStack(thincClientPtr cl);

#endif
