/* Copyright 2005, 2006, 2007 Ricardo Baratto */
/* Copyright 2005, 2006, 2007 Columbia University */
/*
 * Header for window related functions
 *
 * Authors: 
 * Ricardo A. Baratto - Network Computing Lab - Columbia University
 */

/* set tabstop = 8 */
#ifndef _THINC_WINDOW_H_

WindowPtr thincGetRootWindow(thincScreenPtr pThinc);

#ifdef T_APPSHARE
struct thincApp_S;

typedef struct thincWindow_S {
	unsigned long 		id;
	unsigned int 		flags;
	thincListRec		list;
	struct thincApp_S* 	app;	/* app to which this window belongs */
} thincWindowRec, *thincWindowPtr;

/* get a window's private id */
#define t_winID(pWindow) \
	(((thincWindowPtr)(THINCWINPtr((pWindow))))->id)
/* some flags */
#define T_SHARE	0x01	/* we're interested in this window */

#else
#define t_winID(pWindow) 0L
#endif /* T_APPSHARE */

#define t_winXID(pWindow) \
	((pWindow)->drawable.id)

#endif /* _THINC_WINDOW_H_ */
